# studio::Preview Class Reference

`#include <preview.h>`

List of all members.

## Public Types

typedef std::vector< FlipbookElem > | FlipBook

## Public Member Functions

| Preview (const studio::CanvasView::LooseHandle &h=studio::CanvasView::LooseHandle(), float zoom=0.5f, float fps=15)
| ~Preview ()
float | get_zoom () const
void | set_zoom (float z)
float | get_fps () const
void | set_fps (float f)
float | get_global_fps () const
void | set_global_fps (float f)
float | get_begintime () const
float | get_endtime () const
void | set_begintime (float t)
void | set_endtime (float t)
bool | get_overbegin () const
void | set_overbegin (bool b)
bool | get_overend () const
void | set_overend (bool b)
int | get_quality () const
void | set_quality (int i)
synfig::Canvas::Handle | get_canvas () const
studio::CanvasView::Handle | get_canvasview () const
void | set_canvasview (const studio::CanvasView::LooseHandle &h)
sigc::signal< void, Preview * > & | signal_destroyed ()
FlipBook::iterator | begin ()
FlipBook::iterator | end ()
FlipBook::const_iterator | begin () const
FlipBook::const_iterator | end () const
void | clear ()
unsigned int | numframes () const
void | render ()
sigc::signal0< void > & | signal_changed ()

## Public Attributes

etl::handle < studio::AsyncRenderer > | renderer
sigc::signal< void, Preview * > | signal_destroyed_

## Classes

struct | FlipbookElem

## Member Typedef Documentation

typedef std::vector<FlipbookElem> studio::Preview::FlipBook

## Constructor & Destructor Documentation

studio::Preview::Preview | ( | const studio::CanvasView::LooseHandle & | h = `studio::CanvasView::LooseHandle()`,
|  | float | zoom = `0.5f`,
|  | float | fps = `15` |
| ) |  |  |

studio::Preview::~Preview | ( |  | ) |

References signal_destroyed_.

## Member Function Documentation

float studio::Preview::get_zoom | ( |  | ) | const`[inline]`

void studio::Preview::set_zoom | ( | float | z | ) | `[inline]`

float studio::Preview::get_fps | ( |  | ) | const`[inline]`

void studio::Preview::set_fps | ( | float | f | ) | `[inline]`

float studio::Preview::get_global_fps | ( |  | ) | const`[inline]`

void studio::Preview::set_global_fps | ( | float | f | ) | `[inline]`

Referenced by render().

float studio::Preview::get_begintime | ( |  | ) | const`[inline]`

References get_canvas().

float studio::Preview::get_endtime | ( |  | ) | const`[inline]`

References get_canvas().

void studio::Preview::set_begintime | ( | float | t | ) | `[inline]`

void studio::Preview::set_endtime | ( | float | t | ) | `[inline]`

bool studio::Preview::get_overbegin | ( |  | ) | const`[inline]`

void studio::Preview::set_overbegin | ( | bool | b | ) | `[inline]`

bool studio::Preview::get_overend | ( |  | ) | const`[inline]`

void studio::Preview::set_overend | ( | bool | b | ) | `[inline]`

int studio::Preview::get_quality | ( |  | ) | const`[inline]`

void studio::Preview::set_quality | ( | int | i | ) | `[inline]`

synfig::Canvas::Handle studio::Preview::get_canvas | ( |  | ) | const`[inline]`

Referenced by get_begintime(), get_endtime(), and render().

studio::CanvasView::Handle studio::Preview::get_canvasview | ( |  | ) | const`[inline]`

void studio::Preview::set_canvasview | ( | const studio::CanvasView::LooseHandle & | h | ) |

sigc::signal<void, Preview *>& studio::Preview::signal_destroyed | ( |  | ) | `[inline]`

References signal_destroyed_.

FlipBook::iterator studio::Preview::begin | ( |  | ) | `[inline]`

FlipBook::iterator studio::Preview::end | ( |  | ) | `[inline]`

FlipBook::const_iterator studio::Preview::begin | ( |  | ) | const`[inline]`

FlipBook::const_iterator studio::Preview::end | ( |  | ) | const`[inline]`

void studio::Preview::clear | ( |  | ) | `[inline]`

unsigned int studio::Preview::numframes | ( |  | ) | const`[inline]`

void studio::Preview::render | ( |  | ) |

References get_canvas(), renderer, and set_global_fps().

sigc::signal0<void>& studio::Preview::signal_changed | ( |  | ) | `[inline]`

## Member Data Documentation

etl::handle<studio::AsyncRenderer> studio::Preview::renderer

Referenced by render().

sigc::signal<void, Preview *> studio::Preview::signal_destroyed_

Referenced by signal_destroyed(), and ~Preview().

The documentation for this class was generated from the following files:

- preview.h
- preview.cpp